<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (21) -->
<title>Uses of Class org.apache.commons.cli.ParseException (Apache Commons CLI 1.6.0 API)</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="description" content="use: package: org.apache.commons.cli, class: ParseException">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../ParseException.html" title="class in org.apache.commons.cli">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html#use">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="../../../../../search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class org.apache.commons.cli.ParseException" class="title">Uses of Class<br>org.apache.commons.cli.ParseException</h1>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="org.apache.commons.cli">
<h2>Uses of <a href="../ParseException.html" title="class in org.apache.commons.cli">ParseException</a> in <a href="../package-summary.html">org.apache.commons.cli</a></h2>
<div class="caption"><span>Subclasses of <a href="../ParseException.html" title="class in org.apache.commons.cli">ParseException</a> in <a href="../package-summary.html">org.apache.commons.cli</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../AlreadySelectedException.html" class="type-name-link" title="class in org.apache.commons.cli">AlreadySelectedException</a></code></div>
<div class="col-last even-row-color">
<div class="block">Thrown when more than one option in an option group has been provided.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../AmbiguousOptionException.html" class="type-name-link" title="class in org.apache.commons.cli">AmbiguousOptionException</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Exception thrown when an option can't be identified from a partial name.</div>
</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../MissingArgumentException.html" class="type-name-link" title="class in org.apache.commons.cli">MissingArgumentException</a></code></div>
<div class="col-last even-row-color">
<div class="block">Thrown when an option requiring an argument is not provided with an argument.</div>
</div>
<div class="col-first odd-row-color"><code>class&nbsp;</code></div>
<div class="col-second odd-row-color"><code><a href="../MissingOptionException.html" class="type-name-link" title="class in org.apache.commons.cli">MissingOptionException</a></code></div>
<div class="col-last odd-row-color">
<div class="block">Thrown when a required option has not been provided.</div>
</div>
<div class="col-first even-row-color"><code>class&nbsp;</code></div>
<div class="col-second even-row-color"><code><a href="../UnrecognizedOptionException.html" class="type-name-link" title="class in org.apache.commons.cli">UnrecognizedOptionException</a></code></div>
<div class="col-last even-row-color">
<div class="block">Thrown during parsing signaling an unrecognized option.</div>
</div>
</div>
<div class="caption"><span>Methods in <a href="../package-summary.html">org.apache.commons.cli</a> that throw <a href="../ParseException.html" title="class in org.apache.commons.cli">ParseException</a></span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a><wbr>&lt;?&gt;</code></div>
<div class="col-second even-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#createClass(java.lang.String)" class="member-name-link">createClass</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;className)</code></div>
<div class="col-last even-row-color">
<div class="block">Returns the class whose name is <code>className</code>.</div>
</div>
<div class="col-first odd-row-color"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Number.html" title="class or interface in java.lang" class="external-link">Number</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#createNumber(java.lang.String)" class="member-name-link">createNumber</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;str)</code></div>
<div class="col-last odd-row-color">
<div class="block">Create a number from a String.</div>
</div>
<div class="col-first even-row-color"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#createObject(java.lang.String)" class="member-name-link">createObject</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;className)</code></div>
<div class="col-last even-row-color">
<div class="block">Create an Object from the class name and empty constructor.</div>
</div>
<div class="col-first odd-row-color"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/net/URL.html" title="class or interface in java.net" class="external-link">URL</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#createURL(java.lang.String)" class="member-name-link">createURL</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;str)</code></div>
<div class="col-last odd-row-color">
<div class="block">Returns the URL represented by <code>str</code>.</div>
</div>
<div class="col-first even-row-color"><code>static &lt;T&gt;&nbsp;T</code></div>
<div class="col-second even-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#createValue(java.lang.String,java.lang.Class)" class="member-name-link">createValue</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;str,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html" title="class or interface in java.lang" class="external-link">Class</a>&lt;T&gt;&nbsp;clazz)</code></div>
<div class="col-last even-row-color">
<div class="block">Returns the <code>Object</code> of type <code>clazz</code> with the value of <code>str</code>.</div>
</div>
<div class="col-first odd-row-color"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#createValue(java.lang.String,java.lang.Object)" class="member-name-link">createValue</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;str,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;obj)</code></div>
<div class="col-last odd-row-color">
<div class="block">Returns the <code>Object</code> of type <code>obj</code> with the value of <code>str</code>.</div>
</div>
<div class="col-first even-row-color"><code>protected abstract <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#flatten(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)" class="member-name-link">flatten</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;opts,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last even-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Subclasses must implement this method to reduce the <code>arguments</code> that have been passed to the parse method.</div>
</div>
<div class="col-first odd-row-color"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">PosixParser.</span><code><a href="../PosixParser.html#flatten(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)" class="member-name-link">flatten</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">
 An implementation of <a href="../Parser.html" title="class in org.apache.commons.cli"><code>Parser</code></a>'s abstract <a href="../Parser.html#flatten(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)"><code>flatten</code></a> method.</div>
</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">CommandLine.</span><code><a href="../CommandLine.html#getParsedOptionValue(char)" class="member-name-link">getParsedOptionValue</a><wbr>(char&nbsp;opt)</code></div>
<div class="col-last even-row-color">
<div class="block">Gets a version of this <code>Option</code> converted to a particular type.</div>
</div>
<div class="col-first odd-row-color"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">CommandLine.</span><code><a href="../CommandLine.html#getParsedOptionValue(java.lang.String)" class="member-name-link">getParsedOptionValue</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;opt)</code></div>
<div class="col-last odd-row-color">
<div class="block">Gets a version of this <code>Option</code> converted to a particular type.</div>
</div>
<div class="col-first even-row-color"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">CommandLine.</span><code><a href="../CommandLine.html#getParsedOptionValue(org.apache.commons.cli.Option)" class="member-name-link">getParsedOptionValue</a><wbr>(<a href="../Option.html" title="class in org.apache.commons.cli">Option</a>&nbsp;option)</code></div>
<div class="col-last even-row-color">
<div class="block">Gets a version of this <code>Option</code> converted to a particular type.</div>
</div>
<div class="col-first odd-row-color"><code>protected void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">DefaultParser.</span><code><a href="../DefaultParser.html#handleConcatenatedOptions(java.lang.String)" class="member-name-link">handleConcatenatedOptions</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;token)</code></div>
<div class="col-last odd-row-color">
<div class="block">Breaks <code>token</code> into its constituent parts using the following algorithm.</div>
</div>
<div class="col-first even-row-color"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/io/FileInputStream.html" title="class or interface in java.io" class="external-link">FileInputStream</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">TypeHandler.</span><code><a href="../TypeHandler.html#openFile(java.lang.String)" class="member-name-link">openFile</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;str)</code></div>
<div class="col-last even-row-color">
<div class="block">Returns the opened FileInputStream represented by <code>str</code>.</div>
</div>
<div class="col-first odd-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">CommandLineParser.</span><code><a href="../CommandLineParser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments)</code></div>
<div class="col-last odd-row-color">
<div class="block">Parses the arguments according to the specified options.</div>
</div>
<div class="col-first even-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">CommandLineParser.</span><code><a href="../CommandLineParser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last even-row-color">
<div class="block">Parses the arguments according to the specified options.</div>
</div>
<div class="col-first odd-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">DefaultParser.</span><code><a href="../DefaultParser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments)</code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">DefaultParser.</span><code><a href="../DefaultParser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">DefaultParser.</span><code><a href="../DefaultParser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,java.util.Properties)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html" title="class or interface in java.util" class="external-link">Properties</a>&nbsp;properties)</code></div>
<div class="col-last odd-row-color">
<div class="block">Parses the arguments according to the specified options and properties.</div>
</div>
<div class="col-first even-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">DefaultParser.</span><code><a href="../DefaultParser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,java.util.Properties,boolean)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html" title="class or interface in java.util" class="external-link">Properties</a>&nbsp;properties,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last even-row-color">
<div class="block">Parses the arguments according to the specified options and properties.</div>
</div>
<div class="col-first odd-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments)</code></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Parses the specified <code>arguments</code> based on the specified <a href="../Options.html" title="class in org.apache.commons.cli"><code>Options</code></a>.</div>
</div>
<div class="col-first even-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,boolean)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last even-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Parses the specified <code>arguments</code> based on the specified <a href="../Options.html" title="class in org.apache.commons.cli"><code>Options</code></a>.</div>
</div>
<div class="col-first odd-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,java.util.Properties)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html" title="class or interface in java.util" class="external-link">Properties</a>&nbsp;properties)</code></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Parse the arguments according to the specified options and properties.</div>
</div>
<div class="col-first even-row-color"><code><a href="../CommandLine.html" title="class in org.apache.commons.cli">CommandLine</a></code></div>
<div class="col-second even-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#parse(org.apache.commons.cli.Options,java.lang.String%5B%5D,java.util.Properties,boolean)" class="member-name-link">parse</a><wbr>(<a href="../Options.html" title="class in org.apache.commons.cli">Options</a>&nbsp;options,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>[]&nbsp;arguments,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html" title="class or interface in java.util" class="external-link">Properties</a>&nbsp;properties,
 boolean&nbsp;stopAtNonOption)</code></div>
<div class="col-last even-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Parse the arguments according to the specified options and properties.</div>
</div>
<div class="col-first odd-row-color"><code>void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#processArgs(org.apache.commons.cli.Option,java.util.ListIterator)" class="member-name-link">processArgs</a><wbr>(<a href="../Option.html" title="class in org.apache.commons.cli">Option</a>&nbsp;opt,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ListIterator.html" title="class or interface in java.util" class="external-link">ListIterator</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&nbsp;iter)</code></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Process the argument values for the specified Option <code>opt</code> using the values retrieved from the specified
 iterator <code>iter</code>.</div>
</div>
<div class="col-first even-row-color"><code>protected void</code></div>
<div class="col-second even-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#processOption(java.lang.String,java.util.ListIterator)" class="member-name-link">processOption</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&nbsp;arg,
 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/ListIterator.html" title="class or interface in java.util" class="external-link">ListIterator</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html" title="class or interface in java.lang" class="external-link">String</a>&gt;&nbsp;iter)</code></div>
<div class="col-last even-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Process the Option specified by <code>arg</code> using the values retrieved from the specified iterator
 <code>iter</code>.</div>
</div>
<div class="col-first odd-row-color"><code>protected void</code></div>
<div class="col-second odd-row-color"><span class="type-name-label">Parser.</span><code><a href="../Parser.html#processProperties(java.util.Properties)" class="member-name-link">processProperties</a><wbr>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Properties.html" title="class or interface in java.util" class="external-link">Properties</a>&nbsp;properties)</code></div>
<div class="col-last odd-row-color">
<div class="block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Sets the values of Options using the values in <code>properties</code>.</div>
</div>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<hr>
<p class="legal-copy"><small>Copyright &#169; 2002&#x2013;2023 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</footer>
</div>
</div>
</body>
</html>
